<div class="pl-5 pr-5">
  <mat-tab-group color="warn">
    <mat-tab label="Merge Patient">
      <div class="row mt-3 mb-3">
        <div class="col-xl-9">
          <app-alert [message]="message" [type]="type" id="alert"></app-alert>
        </div>
        <div class="col-xl-3 d-flex justify-content-end">
          <button mat-raised-button color="accent" *appAccess="PATIENT; lookFor: 'C'" [routerLink]="['/patients/add']" class="wide">
            Add Patient
          </button>
        </div>
      </div>
      <mat-expansion-panel expanded="true" class="panel-height">
        <div class="row">
          <div class="col-xl-6 d-block align-items-center">
            <div class="d-flex bold mt-4 mb-2">Original Patient</div>
            <kendo-combobox [data]="originalPatients" [textField]="'name'" [valueField]="'id'" [filterable]="true" class="kendo-dropdown-size" (filterChange)="handleOriginalFilter($event)" (valueChange)="handleOriginalChange($event)" [valuePrimitive]="true">
              <ng-template kendoComboBoxItemTemplate let-dataItem>
                <div class="w-100">
                  <div class="d-flex justify-content-between align-items-center">
                    <div class=" bold">
                      {{ dataItem.name }} ({{ dataItem.gender }})
                    </div>
                    <div class="mr-3">
                      ID: {{ dataItem.patientId }}
                    </div>
                  </div>
                  <div class="d-flex align-items-center mt-1 mb-1">
                    <div class="material-icons material-icons-style">stay_primary_portrait</div>
                    {{ dataItem.mobile }}

                  </div>
                  <div class="d-flex align-items-center mt-1 mb-1">
                    <div class="material-icons material-icons-style">email</div>
                    <div>{{ dataItem.email }}</div>
                  </div>

                  <div class="d-flex align-items-center mt-1 mb-1">
                    <div class="material-icons material-icons-style">cake</div>
                    <div>{{ dataItem.dob | date}}</div>
                  </div>
                </div>
              </ng-template>
            </kendo-combobox>
            <div *ngIf="originalPatientId" class="mt-3">
              <kendo-card [width]="'100%'">
                <kendo-card-body>
                  <div class="row w-100">
                    <div class="picture-layout-width col-xl-3">
                      <img class="img-fluid" [src]="'data:image/jpeg;base64,' + originalImage" kendoCardMedia alt="cover_img" />
                    </div>
                    <div class="col-xl-9">
                      <div class="d-flex justify-content-between align-items-center">
                        <h4 class="bold">{{ originalName }}</h4>
                        <div>ID : {{ originalPatientId }}</div>
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">cake</div> {{ originalDOB | date }}
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">call</div>
                        {{ originalPhoneNo }}
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">stay_primary_portrait</div>
                        {{ originalMobileNo }}
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">email</div>
                        {{ originalEmailId }}
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">location_on</div>
                        {{ originalAdress }}
                      </div>
                      <div class=" mt-1 mb-1">
                        Total Appointments : {{ originalTotalAppointments }}
                      </div>
                      <div class=" mt-1 mb-1">Total Outstanding : {{ originalTotalOutstanding }}</div>
                    </div>
                  </div>
                </kendo-card-body>
              </kendo-card>
            </div>
          </div>
          <div class="col-xl-6 d-block align-items-center">
            <div class="d-flex bold mt-4 mb-2">Duplicate Patient</div>
            <kendo-combobox [data]="duplicatePatients" [textField]="'name'" [valueField]="'id'" [filterable]="true" class="kendo-dropdown-size" (filterChange)="handleDuplicateFilter($event)" (valueChange)="handleDuplicateChange($event)" [valuePrimitive]="true">
              <ng-template kendoComboBoxItemTemplate let-dataItem>
                <div class="w-100">
                  <div class="d-flex justify-content-between align-items-center">
                    <div class="bold">
                      {{ dataItem.name }} ({{ dataItem.gender }})
                    </div>
                    <div class="d-flex mr-3">
                      <div>ID:</div>
                      <div>{{ dataItem.patientId }}</div>
                    </div>
                  </div>

                  <div class="d-flex align-items-center mt-1 mb-1">
                    <div class="material-icons material-icons-style">stay_primary_portrait</div>
                    <div>{{ dataItem.mobile }}</div>
                  </div>
                  <div class="d-flex align-items-center mt-1 mb-1">
                    <div class="material-icons material-icons-style">email </div>
                    <div>{{ dataItem.email }}</div>
                  </div>

                  <div class="d-flex align-items-center mt-1 mb-1">
                    <div class="material-icons material-icons-style">cake</div>
                    <div>{{ dataItem.dob | date }}</div>
                  </div>
                </div>
              </ng-template>
            </kendo-combobox>
            <div *ngIf="duplicatePatientId" class="mt-3">
              <kendo-card [width]="'100%'">
                <kendo-card-body>
                  <div class="row">
                    <div class="picture-layout-width col-xl-3">
                      <img [src]="'data:image/jpeg;base64,' + duplicateImage" class="img-fluid" kendoCardMedia alt="cover_img" />
                    </div>
                    <div class="col-xl-9">
                      <div class="d-flex justify-content-between align-items-center">
                        <h4 class="bold">{{ duplicateName }}</h4>
                        <div class="d-flex">ID : {{ duplicatePatientId }}</div>
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">cake</div>
                        {{ duplicateDOB | date }}
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">call</div>
                        {{ duplicatePhoneNo }}
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">stay_primary_portrait</div>
                        {{ duplicateMobileNo }}
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">email</div>
                        {{ duplicateEmailId }}
                      </div>
                      <div class=" mt-1 mb-1">
                        <div class="material-icons material-icons-style">location_on</div>
                        {{ duplicateAdress }}
                      </div>
                      <div class=" mt-1 mb-1">
                        Total Appointments : {{ duplicateTotalAppointments }}
                      </div>
                      <div class=" mt-1 mb-1">Total Outstanding : {{ duplicateTotalOutstanding }}</div>
                    </div>
                  </div>
                </kendo-card-body>
              </kendo-card>
            </div>
          </div>
        </div>

        <div *ngIf="originalPatientId && duplicatePatientId" class="text-right control-row">
          <div class="pt-3">
            <button mat-stroked-button color="accent" class="mr-2 footer-btn-customize" (click)="cancel()">Cancel</button>
            <button *appAccess="moduleName; lookFor: ['C', 'E']" mat-raised-button color="accent" class="mr-2 wide" (click)="submitMergePatient()">
              Merge patient
            </button>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-tab>
  </mat-tab-group>
</div>

<kendo-dialog title="Are you sure you want to merge duplicate patient records to original patient?" *ngIf="opened" (close)="close('cancel')" [minWidth]="250" [width]="850">
  <p style="margin-top: 10px; margin-bottom: 20px; text-align: left">
    This is a permanemt action and cannot be undone
  </p>

  <mat-divider class="mb-2"></mat-divider>
  <button mat-raised-button (click)="processMergePatient()" primary="true" color="accent" class="mr-2 footer-btn-customize">
    Yes
  </button>
  <button mat-stroked-button (click)="close()" color="accent" class="mr-2 footer-btn-customize">
    No
  </button>
</kendo-dialog>
